---
names: 
  full: "Google Cloud SQL Instance External Authorized Networks whitelists all public IP addresses"
  contextual: "Instance External Authorized Networks whitelists all public IP addresses"
description: "Database Server should accept connections only from trusted Network(s)/IP(s) and restrict access from public IP addresses."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/05
  - /frameworks/cloudaware/resource-security/public-and-anonymous-access
  - /frameworks/nist-sp-800-53-r4/ca/03
  - /frameworks/nist-sp-800-53-r4/sc/07
  - /frameworks/nist-sp-800-53-r5/ac/03
  - /frameworks/nist-sp-800-53-r5/ac/05
  - /frameworks/nist-sp-800-53-r5/ac/06
  - /frameworks/nist-sp-800-53-r5/mp/02
  - /frameworks/pci-dss-v3.2.1/01/02/01
  - /frameworks/pci-dss-v4.0/01/03/01
  - /frameworks/iso-iec-27001-2013/13/01/03
  - /frameworks/iso-iec-27001-2022/05/10
  - /frameworks/iso-iec-27001-2022/05/15
  - /frameworks/iso-iec-27001-2022/08/03
  - /frameworks/iso-iec-27001-2022/08/04
  - /frameworks/nist-csf-v1.1/pr-ac/04
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc6/01/03
  - /frameworks/soc-2/cc6/01/07
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/publicly-accessible-cloud-sql-instances.html"
      name: "Check for Publicly Accessible Cloud SQL Database Instances"
